> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/tr/gelistir/gelismis/hesap-soyutlama-kullanimi.md).

# Hesap Soyutlama Kullanımı

## Hesap Soyutlaması Nedir?

Hesap Soyutlaması (Account Abstraction - AA), kullanıcıların akıllı sözleşmeleri hesap olarak kullanmasına olanak tanıyan ve onları tamamen programlanabilir kılan bir blockchain teknolojisidir.

Kullanıcı hesaplarını daha esnek ve işlevsel hale getirerek kullanıcı deneyimini iyileştirmeyi amaçlar.

## Chiliz Chain Geliştiricileri İçin Anlamı Nedir?

AA'yı uygulayarak geliştiriciler, projelerinin kullanıcı deneyimini geliştirebilir: Daha basit Chiliz Chain etkileşimleri, daha kullanıcı dostu bir uygulama anlamına gelir.

## Biconomy Kullanarak Nasıl Yapılır?

Biconomy, Smart Account'lara erişim sağlayan tam yığın bir Hesap Soyutlama SDK'sı sunar: <https://docs.biconomy.io/account>

Biconomy'nin kendi ifadesiyle, Chiliz Chain'de AA yığınından yararlanmanın 4 yolu bulunmaktadır:

* Gassız İşlemler
* Toplu İşlemler
* Akıllı sözleşme cüzdanları (sosyal giriş dahil)
* Oturum anahtarları, çok zincir doğrulayıcı, hesap kurtarma ve daha pek çok modül!

Biconomy'nin kullanışlı bir Quickstart sayfası var: <https://docs.biconomy.io/quickstart>

Örnek kod Polygon Mumbai ağını kullanmaktadır ve Chiliz'e şu şekilde uyarlayabilirsiniz:

```typescript
import {
  Hex,
  createWalletClient,
  encodeFunctionData,
  http,
  parseAbi,
  zeroAddress,
} from "viem";
import { privateKeyToAccount } from "viem/accounts";
import { ChainId } from '@biconomy/core-types'
import { createSmartAccountClient } from "@biconomy/account";

const bundlerUrl =
  "https://bundler.biconomy.io/api/v2/80001/nJPK7B3ru.dd7f7861-190d-41bd-af80-6877f74b8f44"; // https://dashboard.biconomy.io adresinde bulunur

export const createAccountAndMintNft = async () => {
  // ----- 1. Private key'den EOA oluştur
  const account = privateKeyToAccount("0x" + "PRIVATE_KEY");
  const client = createWalletClient({
    account,
    chainId: ChainId.CHILIZ_TESTNET, // veya ChainId.CHILIZ_MAINNET,
    transport: http(),
  });
  const eoa = client.account.address;
  console.log(`EOA address: ${eoa}`);

  // ------ 2. Biconomy akıllı hesap örneği oluştur
  const smartAccount = await createSmartAccountClient({
    signer: client,
    bundlerUrl,
  });
  const saAddress = await smartAccount.getAccountAddress();
  console.log("SA Address", saAddress);
};
createAccountAndMintNft();
```

Chiliz Chain ID'lerini unutmayın:

* `CHILIZ_MAINNET = 88888`
* `CHILIZ_TESTNET = 88882`

Ayrıca Biconomy ile çalışırken, Chiliz'in hem mainnet hem de testnet için [kendi entrypoint adresine](https://docs.biconomy.io/contracts#entry-points) sahip olduğunu unutmayın: [0x00000061FEfce24A79343c27127435286BB7A4E1](https://scan.chiliz.com/address/0x00000061FEfce24A79343c27127435286BB7A4E1/contracts#address-tabs)

Bu, Biconomy [Bundler](https://docs.biconomy.io/bundler) veya [Paymaster](https://docs.biconomy.io/paymaster) kullanırken önemlidir:

```typescript
// CC2'nin kendi entrypoint adresi var
const CHILIZ_BUNDLER_ENTRYPOINT_ADDRESS='0x00000061FEfce24A79343c27127435286BB7A4E1'

const bundler = new Bundler({
    bundlerUrl: `https://bundler.biconomy.io/api/v2/${ChainId.CHILIZ_TESTNET}/nJPK7B3ru.dd7f7861-190d-41bd-af80-6877f74b8f44`,
    chainId: ChainId.CHILIZ_TESTNET,
    entryPointAddress: CHILIZ_BUNDLER_ENTRYPOINT_ADDRESS,
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chiliz.com/tr/gelistir/gelismis/hesap-soyutlama-kullanimi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
